Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.axes
Interface SubContextList

All Known Implementing Classes:
  PredicatedNodeTest, StepPattern

public interface SubContextList

A class that implements this interface is a sub context node list, meaning it is a node list for a location path step for a predicate.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Method Summary
`int` | `getLastPos(XPathContext xctxt)` Get the number of nodes in the node list, which, in the XSLT 1 based counting system, is the last index position.
`int` | `getProximityPosition(XPathContext xctxt)` Get the current sub-context position.

Method Detail

### getLastPos

    public int getLastPos(XPathContext xctxt)

  Get the number of nodes in the node list, which, in the XSLT 1 based counting system, is the last index position.

  Parameters:
    `xctxt` - The XPath runtime context.
  Returns:
    the number of nodes in the node list.

### getProximityPosition

    public int getProximityPosition(XPathContext xctxt)

  Get the current sub-context position.

  Parameters:
    `xctxt` - The XPath runtime context.
  Returns:
    The position of the current node in the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference